Loading...
Searching...
No Matches
seqan3::char_sequence_printer< char_sequence_t > Struct Template Reference
Core » Debug Stream

A printer for character sequences. More...

`#include <seqan3/core/debug_stream/range.hpp>`

Inheritance diagram for seqan3::char_sequence_printer< char_sequence_t >:
[legend]

## Public Member Functions

template<typename stream_t, typename arg_t>
constexpr void | operator() (stream_t &stream, arg_t &&arg) const
| Prints the character sequence to the given stream.

## Detailed Description

template<typename char_sequence_t>
requires std::ranges::input_range<char_sequence_t> && (detail::is_char_adaptation_v<std::remove_cvref_t<std::ranges::range_reference_t<char_sequence_t>>>)
struct seqan3::char_sequence_printer< char_sequence_t >

A printer for character sequences.

This struct provides a printer for character sequences. It is used to print character sequences to a stream. The character sequence must be an input range and the range reference type must be a character type, i.e. seqan3::detail::is_char_adaptation_v evaluates to true.

Template Parameters

  char_sequence_t | The type of the character sequence.

## Member Function Documentation

## operator()()

template<typename char_sequence_t>
template<typename stream_t, typename arg_t>

void seqan3::char_sequence_printer< char_sequence_t >::operator() | ( | stream_t & | stream,
|  | arg_t && | arg ) const

inline constexpr

Prints the character sequence to the given stream.

Template Parameters

  stream_t | The type of the stream.
  arg_t | The type of the argument.

Parameters

  stream | The stream to print to.
  arg | The character sequence to print.

The documentation for this struct was generated from the following file:

- range.hpp

Hide me